View Issue Details

IDProjectCategoryView StatusLast Update
0003927SymmetricDSBugpublic2019-06-25 13:58
ReportermmichalekAssigned Tommichalek 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.9.0 
Target Version3.9.21Fixed in Version3.9.21 
Summary0003927: Excessive logging generated by ChannelRouterContext.logStats (3.9)
DescriptionWhen there are thousands of data gaps and DEBUG logging is turned on for RouterService, server performance can be negatively effected by logging all the data gaps.

This example from a user is part of a 7MB log line:
2019-04-25 14:51:08,796 DEBUG [server] [RouterService] [server-job-7] item_prices, startDataId=3984199, endDataId=3984290, dataReadCount=0, peekAheadFillCount=1, transactions=[], dataGaps=[{ startId: 3867839, endId: 3867844, createTime: "2019-04-25 13:39:51.0" }, { startId: 3867846, endId: 3867851, createTime: "2019-04-25 13:40:53.0" }, { startId: 3867853, endId: 3867858, createTime: "2019-04-25 13:41:02.0" }, { startId: 3867860, endId: 3867865, createTime: "2019-04-25 13:44:35.0" }, { startId: 3867867, endId: 3867872, createTime: "2019-04-25 13:50:38.0" }, { startId: 3867874, endId: 3867879, createTime: "2019-04-25 13:54:54.0" }, { startId: 3867881, endId: 3867886, createTime: "2019-04-25 13:56:32.0" }, { startId: 3867888, endId: 3867893, createTime: "2019-04-25 13:56:32.0" }, { startId: 3867895, endId: 3867900, createTime: "2019-04-25 13:56:32.0" }, { startId: 3867902, endId: 3867907, createTime: "2019-04-25 13:56:32.0" }, { startId: 3867909, endId: 3867914, createTime: "2019-04-25 13:56:32.0" }, { startId: 3867916, endId: 3867921, ...

(the line line coninues for 7MB)
Tagslogging

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: 3.9 46c2b81c

2019-05-01 14:47:43

mmichalek

Details Diff
0003927: Excessive logging generated by ChannelRouterContext.logStats (3.9)
0003927
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/route/ChannelRouterContext.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/RouterService.java Diff File

Issue History

Date Modified Username Field Change
2019-04-29 11:58 mmichalek New Issue
2019-04-29 11:58 mmichalek Status new => assigned
2019-04-29 11:58 mmichalek Assigned To => mmichalek
2019-04-29 11:58 mmichalek Summary Excessive logging generated by ChannelRouterContext.logStats (3.10) => Excessive logging generated by ChannelRouterContext.logStats (3.9)
2019-05-01 13:42 mmichalek Target Version 3.9.20 => 3.9.21
2019-05-01 15:00 mmichalek Changeset attached => SymmetricDS 3.9 46c2b81c
2019-05-09 11:18 elong Tag Attached: logging
2019-05-22 15:52 elong Status assigned => resolved
2019-05-22 15:52 elong Resolution open => fixed
2019-05-22 15:52 elong Fixed in Version => 3.9.21
2019-06-25 13:58 admin Status resolved => closed